--- title: "GetPlannedMaintenanceList" slug: "management-cloudinsight-getpmlist" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getpmlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetPlannedMaintenanceList Available in Classic and VPC Get the list of all maintenance schedules. There are two ways to get the list, and you must select one to call it. - Query by time range: Use the request query parameters `from`, `to`, and `timeType` - Query by resource ID: Use the request query parameters `resourceId` and `productKey` ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /cw_fea/real/cw/api/planned-maintenances | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `from` | Integer | Conditional | Query start date and time - Unix timestamp format - Use when querying by time range. | | `to` | Integer | Conditional | Query end date and time - Unix timestamp format - Use when querying by time range. | | `timeType` | String | Conditional | Query criteria - `startTime` \| `endTime` - `startTime`: start time - `endTime`: end time - Use when querying by time range. | | `resourceId` | String | Conditional | Resource ID - See [GetAllCustomResource](/docs/en/management-cloudinsight-getallcustomresource). - Use when querying by resource ID. | | `productKey` | String | Conditional | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). - Use when querying by resource ID. | | `pageNum` | Integer | Required | Page number - 1-N | | `pageSize` | Integer | Required | Page output count - 1-N | ### Request example The request example is as follows: #### Query by time range The following is a sample request to query by time range. ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/planned-maintenances?pageNum=1&pageSize=5&from=**********&to=**********&timeType=endTime' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` #### Query by resource ID The following is a sample request to query by resource ID. ``` curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/planned-maintenances?pageNum=1&pageSize=5&productKey=**********&resourceId=**********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body For more information on the fields related to the maintenance schedule information, see [PMCreateUpdateDto](/docs/en/common-vapidatatype-cipmcreateupdatedto). ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "data": [ { "desc": "Planned maintenance example 01", "dimensions": { "**********": [ { "instanceNo": "**********", "mnt_nm": "/", "type": "fs" } ] }, "endTime": 1721133000000, "id": "**********", "startTime": 1721129400000, "title": "test-pm-delete" }, { "desc": "Planned maintenance example 02", "dimensions": { "**********": [ { "instanceNo": "**********", "mnt_nm": "/", "type": "fs" } ] }, "endTime": 1721133356000, "id": "**********", "startTime": 1721129412000, "title": "test-pm" } ], "pageNumCurrent": 1, "pageNumTotal": 1, "pageSize": 5, "total": 2 } ```